'
' illustrates use of Spin2 objects from BASIC
' pretty much any Spin2 object may be used as a BASIC class in
' this manner
'

' create a class p using Jon McPhalen's PRNG
dim p as class using "jm_prng.spin2"

' now invoke the class
p.start(&Hdeadbeef)     ' start PRNG with $deadbeef as seed

' use it to print 4 pseudo random numbers
print "Pseudo random numbers:"
' every time we run we should get the same results, since the seed is fixed
for i = 1 to 4
  print "  "; hex$(p.random())
next i

' now a truly random number
print "Truly random number: "; p.xrandom()
